<div id="modificarproveedor" class="modal fade" tabindex="-1" role="dialog">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                <h4 class="modal-title">Modificar Proveedor</h4>
            </div>
            <div class="modal-body">
                <div id="resultados_proveedor"></div> 
                <form method="post" id="modi_proveedor" name="modi_proveedor" action="" >
                    <div>
                        <label>Tipo Documento</label>
                        <select name="pro_tipo_doc2" id="pro_tipo_doc2" class="form-control name_list input-sm" required >
                            <?php
                                $datos = mysqli_query($api,"SELECT * FROM type_document_identifications ") ;
                                while( $fila = mysqli_fetch_array( $datos ) )
                                {
                                echo' <option value="'.$fila['id'].'">'.$fila['name'].'</option>';
                                }
                            ?>
                        </select>
                    </div>
                    <div class="col-md-9" style="padding-left:0px" >
                      <label>Nit</label>
                      <input type="hidden" name="pro_id2" id="pro_id2" class="form-control" autocomplete="off"  value="">
                      <input type="number"  name="nit" id="nit" onblur="CalcularDv_m()" class="form-control input-sm" autocomplete="off"  value=""  required>
                      <div id="Info"></div>
                    </div> <!-- /.form-group -->
                     <div class="col-md-3" style="padding-left:0px"> <!-- /.form-group -->
                        <label>Dv</label>
                        <input type="number" name="pro_dv2" id="pro_dv2" class="form-control input-sm" autocomplete="off"  value="">
                    </div>
                    <div class="">
                      <label>Nombre Comercial</label>
                      <input type="text"  name="pro_nombre2" id="pro_nombre2" class="form-control" autocomplete="off"  value="" autofocus="autofocus">
                    </div> <!-- /.form-group -->
                     <div class="">
                      <label>Nombre Representante</label>
                      <input type="text"  name="pro_nombre_repre2" id="pro_nombre_repre2" class="form-control" autocomplete="off"  value="" autofocus="autofocus">
                    </div> <!-- /.form-group -->
                    <div class="col-md-6" style="padding-left:0px">
                      <label>Telefono</label>
                      <input type="text"  name="pro_telefono2" id="pro_telefono2" class="form-control input-sm" autocomplete="off"  value="" autofocus="autofocus">
                    </div> <!-- /.form-group -->
                    <div class="col-md-6" style="padding-left:0px">
                        <label>Codigo Postal</label>
                        <input type="number"  name="pro_codigo_postal2" id="pro_codigo_postal2" class="form-control input-sm" autocomplete="off"  value="" >
                    </div> <!-- /.form-group -->

                    <div class="">
                      <label>Correo</label>
                      <input type="text"  name="pro_correo2" id="pro_correo2" class="form-control" autocomplete="off"  value="" autofocus="autofocus">
                    </div> <!-- /.form-group -->

                    <div class="col-md-6" style="padding-left:0px">
                        <label>Departamento</label>
                        <select name="departamento2" id="departamento2" class="form-control name_list input-sm">
                            <option value=""> - </option>
                            <?php
                                $datos = mysqli_query($api,"SELECT * FROM departments order by name asc") ;
                                while( $fila = mysqli_fetch_array( $datos ) )
                                {
                                echo '<option value="'.$fila['id'].'">'.$fila['name'].'</option>';
                                }
                            ?>
                        </select>
                    </div>
                    <div class="col-md-6" style="padding-left:0px">
                        <label>Ciudad</label>
                        <section id="">
                            <select name="pro_ciudad2" id="pro_ciudad2" class="form-control name_list input-sm" >
                                <option value=""> - </option>
                                <?php
                                    $datos = mysqli_query($api,"SELECT * FROM municipalities") ;
                                    while( $fila = mysqli_fetch_array( $datos ) )
                                    {
                                        echo '<option value="'.$fila['id'].'">'.$fila['name'].'</option>';
                                    }
                                ?>
                            </select>
                        </section>
                    </div></br></br></br>

                    <div class="">
                        <label>Direccion 1</label>
                        <input type="text"  name="pro_direccion12" id="pro_direccion12" class="form-control" autocomplete="off"  value="" autofocus="autofocus">
                    </div> <!-- /.form-group -->
                    <div class="">
                        <label>Direccion 2</label>
                        <input type="text"  name="prov_direccion22" id="prov_direccion22" class="form-control" autocomplete="off"  value="" autofocus="autofocus">
                    </div> <!-- /.form-group -->
                   
                   
                    <div class="modal-footer">
                      <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
                      <button name="modificar" value="modificar" id="modificar" type="submit" class="btn btn-success"><i class="icon-edit"></i> <strong>Modificar</strong></button>
                    </div>
                </form>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div>

<script type="text/javascript">
$(document).ready(function(){
$("#departamento2").change(function(){
  $.get("php_proveedores/lista_ciudades_m.php","departamento2="+$("#departamento2").val(), function(data){
    $("#pro_ciudad2").html(data);
    console.log(data);
  });
});
});
  
function obtener_datos(id){
    var nit = $("#nit2"+id).val();
    var tipo_doc2 = $("#tipo_doc2"+id).val();
    var pro_dv2 = $("#pro_dv2"+id).val();
    var nombre = $("#nombre2"+id).val();
    var nombre_repre = $("#nombre_repre2"+id).val();
    var telefono = $("#telefono2"+id).val();
    var correo = $("#correo2"+id).val();
    var direccion = $("#direccion1"+id).val();
    var direccion2 = $("#direccion2"+id).val();
    var departamento2 = $("#departamento2"+id).val();
    var ciudad = $("#ciudad2"+id).val();
    var pro_codigo_postal2 = $("#pro_codigo_postal2"+id).val();
     
    $("#pro_id2").val(id);
    $("#pro_tipo_doc2").val(tipo_doc2);
    $("#nit").val(nit);
    $("#pro_dv2").val(pro_dv2);
    $("#pro_nombre2").val(nombre);
    $("#pro_nombre_repre2").val(nombre_repre);
    $("#pro_telefono2").val(telefono);
    $("#pro_correo2").val(correo);
    $("#pro_direccion12").val(direccion);
    $("#prov_direccion22").val(direccion2);
    $("#departamento2").val(departamento2);
    $("#pro_ciudad2").val(ciudad);
    $("#pro_codigo_postal2").val(pro_codigo_postal2);
    }

$("#modi_proveedor").submit(function( event ) {
$('#modi_proveedor').attr("disabled", true);
var parametros = $(this).serialize();
   $.ajax({
      type: "POST",
      url: "php_proveedores/editar.php",
      data: parametros,
        beforeSend: function(objeto){
         $('#resultados_cliente_mod').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
      success: function(datos){
      $("#resultados_proveedor").html(datos);
      $('#modificar').attr("disabled", false);
      load(1);
      }
  });
  event.preventDefault();
})

function CalcularDv_m() {
    var arreglo, x, y, z, i, nit1, dv1;
    nit1 = document.modi_proveedor.nit.value;
    if (isNaN(nit1)) {
        document.modi_proveedor.pro_dv2.value = "X";
        alert('Numero del Nit no valido, ingrese un numero sin puntos, ni comas, ni guiones, ni espacios');
    } else {
        arreglo = new Array(16);
        x = 0;
        y = 0;
        z = nit1.length;
        arreglo[1] = 3;
        arreglo[2] = 7;
        arreglo[3] = 13;
        arreglo[4] = 17;
        arreglo[5] = 19;
        arreglo[6] = 23;
        arreglo[7] = 29;
        arreglo[8] = 37;
        arreglo[9] = 41;
        arreglo[10] = 43;
        arreglo[11] = 47;
        arreglo[12] = 53;
        arreglo[13] = 59;
        arreglo[14] = 67;
        arreglo[15] = 71;
        for (i = 0; i < z; i++) {
            y = (nit1.substr(i, 1));
            x += (y * arreglo[z - i]);
        }
        y = x % 11
        if (y > 1) { dv1 = 11 - y; } else { dv1 = y; }
        document.modi_proveedor.pro_dv2.value = dv1;
    }
}  
</script> 